#!/bin/sh
# generated for network 'fparkssee' @Thu Oct 22 18:01:23 CEST 2020 from ./generate_table.sh
#
# firmware updatemodes:
# - stable..............: r44150
# - beta................: r49276
# - testing/avantgarde..: r4283 (LEDE)
#
# prepare your env with e.g.:
# export PATH="$PATH:~"
# MY_BUILD_DIR=mybuildbot
# sudo mount -t tmpfs -o size=90% none "$PWD/$MY_BUILD_DIR"
# mkdir -p $MY_BUILD_DIR && cd $MY_BUILD_DIR
#
# URL='https://raw.githubusercontent.com/bittorf/kalua/master/openwrt-build/build.sh'
# wget -O build.sh "$URL" && chmod +x build.sh
# ./build.sh --openwrt trunk --download_pool $HOME/openwrt_dl
# ./build.sh --openwrt lede  --download_pool $HOME/openwrt_dl
# scp mysettings /tmp/apply_profile.code.definitions
# scp your_sign_keys .
#
# and copy your public ssh-key (for autouploading files) to: root@intercity-vpn.de
# and execute this script:

export FAILED=

s1() {		# wifimac: 0024a56f670d
	echo; echo '=== next_image: s1 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Buffalo WHR-HP-G54' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED s1"
	git stash; test -e 'LICENSE' && cd ..
}

b1() {		# wifimac: 0024a56f670d
	echo; echo '=== next_image: b1 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Buffalo WHR-HP-G54' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED b1"
	git stash; test -e 'LICENSE' && cd ..
}

t1() {		# wifimac: 0024a56f670d
	echo; echo '=== next_image: t1 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Buffalo WHR-HP-G54' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED t1"
	git stash; test -e 'LICENSE' && cd ..
}

n1() {		# wifimac: 0024a56f670d
	echo; echo '=== next_image: n1 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Buffalo WHR-HP-G54' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED n1"
	git stash; test -e 'LICENSE' && cd ..
}

s2() {		# wifimac: b0487ac5d6c6
	echo; echo '=== next_image: s2 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED s2"
	git stash; test -e 'LICENSE' && cd ..
}

b2() {		# wifimac: b0487ac5d6c6
	echo; echo '=== next_image: b2 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED b2"
	git stash; test -e 'LICENSE' && cd ..
}

t2() {		# wifimac: b0487ac5d6c6
	echo; echo '=== next_image: t2 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED t2"
	git stash; test -e 'LICENSE' && cd ..
}

n2() {		# wifimac: b0487ac5d6c6
	echo; echo '=== next_image: n2 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED n2"
	git stash; test -e 'LICENSE' && cd ..
}

s3() {		# wifimac: b0487ac5d7e6
	echo; echo '=== next_image: s3 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED s3"
	git stash; test -e 'LICENSE' && cd ..
}

b3() {		# wifimac: b0487ac5d7e6
	echo; echo '=== next_image: b3 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED b3"
	git stash; test -e 'LICENSE' && cd ..
}

t3() {		# wifimac: b0487ac5d7e6
	echo; echo '=== next_image: t3 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED t3"
	git stash; test -e 'LICENSE' && cd ..
}

n3() {		# wifimac: b0487ac5d7e6
	echo; echo '=== next_image: n3 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/fparkssee' || FAILED="$FAILED n3"
	git stash; test -e 'LICENSE' && cd ..
}

stable() {
	s1;s2;s3;
}

beta() {
	b1;b2;b3;
}

testing() {
	t1;t2;t3;
}

nightly() {
	n1;n2;n3;
}

all() { stable; beta; testing; }

update() { wget -O build_all.sh http://intercity-vpn.de/networks/fparkssee/firmware/build_all.sh; }

# overall stable + beta + testing: 3 + 3 + 3 = 9 images
# already build: 0 images
# still needed: 9 images
#
# START: Thu Oct 22 18:01:23 CEST 2020
# READY: Thu Oct 22 18:01:23 CEST 2020
